%define DISTRO_REL %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+ release \\)\\(.\\+\\)\\( .\\+\\)/\\2/" /etc/redhat-release)

%define name ettercap 
%define version 0.6.9
%define release 1
%define major 0

Summary: Ettercap is a ncurses-based sniffer/interceptor utility
Name: %{name}
Version: %{version}
Release: %{release}.%{DISTRO_REL}
Source:  http://ettercap.sourceforge.net/download/%{name}-%{version}.tar.gz
License: GPL 
Group: Networking/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL:        http://ettercap.sourceforge.net/
BuildRequires: openssl-devel
Buildrequires: ncurses-devel

%description
Ettercap is a network sniffer/interceptor/logger for ethernet 
LANs (both switched or not). It supports active and passive 
dissection of many protocols (even ciphered ones, like SSH and 
HTTPS). Data injection in an established connection and 
filtering (substitute or drop a packet) on the fly is also 
possible, keeping the connection sincronized. Many sniffing 
modes were implemented to give you a powerful and complete 
sniffing suite. Plugins are supported. It has the ability 
to check whether you are in a switched LAN or not, and to 
use OS fingerprints (active or passive) to let you know 
the geometry of the LAN. The passive scan of the lan retrives 
infos about: hosts in the lan, open ports, services version, 
type of the host (gateway, router or simple host) and 
extimated distance in hop.

%prep
%setup

%build
%configure --disable-debug --with-openssl  --enable-https 
make
make plug-ins

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make plug-ins_install DESTDIR=$RPM_BUILD_ROOT

rm -fr $RPM_BUILD_ROOT/%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/man8/*
%doc COPYING README README.PLUGINS README.WIN32 HISTORY CHANGELOG AUTHORS TODO TODO.WIN32 THANKS KNOWN-BUGS PORTINGS INSTALL ./plugins/H01_zaratan/ZARATAN.HOWTO ./plugins/H05_roper/ROPER.HOWTO
%{prefix}/sbin/*
%{prefix}/share/ettercap/*
%{_libdir}/ettercap/*

%changelog
* Fri Feb 21 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.6.9-1
- 0.6.9
- adapted for Redhat 7.2, no external lib rpm

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.7-2mdk
- rebuild for rpm and glibc

* Fri Jul 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.7-1mdk
- 0.6.7

* Mon Jun 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.6.6-1mdk
- 0.6.6.6

* Tue Apr 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.5-1mdk
- Adapted for mdk
- lib package

